Qt 5.9 | Qt 3D | C++ Classes | QButtonAxisInput

Qt 5.9.9 Reference Documentation

# QButtonAxisInput Class

(Qt3DInput::QButtonAxisInput)

An axis input controlled by buttons The axis value is controlled by buttons rather than a traditional analog input such as a joystick. More...

Header: | #include <Qt3DInput/QButtonAxisInput>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | ButtonAxisInput
Inherits: | Qt3DInput::QAbstractAxisInput

- List of all members, including inherited members

## Properties

- acceleration : float
- buttons : QVector<int>
- deceleration : float
- scale : float

- 1 property inherited from Qt3DInput::QAbstractAxisInput
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QButtonAxisInput(Qt3DCore::QNode *parent = nullptr)
float | acceleration() const
QVector<int> | buttons() const
float | deceleration() const
float | scale() const

- 1 public function inherited from Qt3DInput::QAbstractAxisInput
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAcceleration(float acceleration)
void | setButtons(const QVector<int> &buttons)
void | setDeceleration(float deceleration)
void | setScale(float scale)

- 1 public slot inherited from Qt3DInput::QAbstractAxisInput
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | accelerationChanged(float acceleration)
void | buttonsChanged(const QVector<int> &buttons)
void | decelerationChanged(float deceleration)
void | scaleChanged(float scale)

- 1 signal inherited from Qt3DInput::QAbstractAxisInput
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

An axis input controlled by buttons The axis value is controlled by buttons rather than a traditional analog input such as a joystick.

## Property Documentation

### acceleration : float

Specifies the rate at which the axis value changes when a button is held

Access functions:

float | acceleration() const
void | setAcceleration(float acceleration)

Notifier signal:

void | accelerationChanged(float acceleration)

### buttons : QVector<int>

Specifies the buttons which control the axis

Access functions:

QVector<int> | buttons() const
void | setButtons(const QVector<int> &buttons)

Notifier signal:

void | buttonsChanged(const QVector<int> &buttons)

### deceleration : float

Specifies the rate at which the axis value returns to normal when a button is released

Access functions:

float | deceleration() const
void | setDeceleration(float deceleration)

Notifier signal:

void | decelerationChanged(float deceleration)

### scale : float

Specifies how the axis output value is scaled. No scaling is applied by default so it defaults to 1.

Access functions:

float | scale() const
void | setScale(float scale)

Notifier signal:

void | scaleChanged(float scale)

## Member Function Documentation

### QButtonAxisInput::QButtonAxisInput(Qt3DCore::QNode *parent = nullptr)

Constructs a new QButtonAxisInput instance with parent.